<template>
  <div class='road-map'>
    <h2 class='base-title'>{{ $t('title') }}</h2>
    <road-map-ch v-if='currentLocale === "ch"' class='road-map__svg'/>
    <road-map v-else class='road-map__svg'/>
    <road-map-mobile class='road-map__mb' />
  </div>
</template>

<script>
import RoadMap from '../icon/RoadMap'
import RoadMapCh from '../icon/road-map-ch'
import RoadMapMobile from './RoadMapMobile'
export default {
  components: { RoadMapCh, RoadMapMobile, RoadMap },

  computed: {
    currentLocale() {
      return this.$i18n.locale
    }
  }
}
</script>

<i18n>
{
  "en": {
    "title": "Roadmap"
  },
  "ch": {
    "title": "路图线"
  },
  "tur": {
    "title": "Roadmap"
  }
}
</i18n>

<style lang='scss' scoped>
.road-map {
  position: relative;
  padding-top: 20px;

  @media (max-width: 767px) {
    display: flex;
    flex-direction: column;
    align-items: center;
  }


  &__svg {
    width: 120%;
    height: 100%;
    z-index: 1;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    display: none;

    @media (min-width: 768px) {
      display: block;
    }

    @media (min-width: 1400px) {
      min-width: 1798px;
      width: 100%;
      height: 100%;
      min-height: 700px;
    }
  }

  &__mb {
    @media (min-width: 768px) {
      display: none;
    }
  }
}

.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 55px;


  @media (min-width: 768px) {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    top: 0;
    overflow: visible;
    margin: 0;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}
</style>

